Subject: bug#62994: [PATCH 2/3] Add support for styled underlines on tty frames

From: Eli Zaretskii <[email-masked]>
Date: Fri, 21 Apr 2023 20:49:19 +0300

[Please use Reply All to keep the bug address on the CC list.]

> From: Mohsin Kaleem <[email-masked]>
> Date: Fri, 21 Apr 2023 18:04:12 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I think the last paragraph is unnecessary in NEWS, since there's
> > nothing users can do about the capabilities exposed by their terminfo
> > database.
> 
> I kinda disagree, I think mentioning this can help users debug why
> certain termcaps aren't being processed correctly or to direct requests
> to fix the processing directly to the terminal emulator instead of to
> Emacs first. I'll go ahead and remove it for now.

This is stuff for etc/PROBLEMS, not for NEWS.  And we only add it to
PROBLEMS if someone actually reports the relevant problems.

> > Please use our style of braces and placing of operators in continued
> > lines.  The brace should be on their own lines, alone.
> 
> For future reference is this style documented anywhere?

Yes, in standards.info.  This is the GNU recommended style.

> > Any pointers to where this standard escape sequence is defined?  I'd
> > like to have that in a comment to this line.
> 
> For the underline style I think kitty is a good reference since it was
> the first to support it. That documentation is here [1]. The sequence
> for color is also documented there... but I find the way its described
> at best confusing and at worst unhelpful. I've been using the neovim
> source code [2] as a reference for the implementation and color sequence
> alongside trial and error.
> 
> [1]: https://sw.kovidgoyal.net/kitty/underlines/
> [2]: https://github.com/neovim/neovim/commit/42f492ac99058bd1cd56c3c7871e7e464b2a5e24

Did Kitty invent that?  If not, there must be some reference that is
not the source code of a terminal emulator.